#!/bin/bash
#
# Copyright:
# ----------------------------------------------------------------------------
# This confidential and proprietary software may be used only as authorized
# by a licensing agreement from ARM Limited.
#      (C) COPYRIGHT 2016-2018 ARM Limited, ALL RIGHTS RESERVED
# The entire notice above must be reproduced on all authorized copies and
# copies may only be made to the extent permitted by a licensing agreement
# from ARM Limited.
# ----------------------------------------------------------------------------

set -e

ORIG_PWD="$(pwd)"

# Move to the build directory
cd $(dirname "${BASH_SOURCE[0]}")
BOOTSTRAP=".bob.bootstrap"
source "${BOOTSTRAP}"

declare -a ARG_TARGET

for arg in "$@"
do

    if [[ $arg =~ "=" ]];then
        ARG_TARGET+=("${arg}")
    elif [ "${arg:0:1}" == "/" ];then
        ARG_TARGET+=("${arg}")
    else
        if [ -f "${ORIG_PWD}/${arg}" ];then
            ARG_TARGET+=("${ORIG_PWD}/${arg}")
        else
            ARG_TARGET+=("${SRCDIR}/bldsys/profiles/${arg}")
        fi
    fi
done

# Move to the working directory
cd "${WORKDIR}"
"${BOB_DIR}/config_system/update_config.py" -d "${SRCDIR}/Mconfig" ${BOB_CONFIG_OPTS} ${BOB_CONFIG_PLUGIN_OPTS} -o "${BUILDDIR}/${CONFIGNAME}.tmp" "${ARG_TARGET[@]}"
rsync -I -c "${BUILDDIR}/${CONFIGNAME}.tmp" "${BUILDDIR}/${CONFIGNAME}"
