#!/usr/bin/env python
#
# Copyright:
# ----------------------------------------------------------------------------
# This confidential and proprietary software may be used only as authorized
# by a licensing agreement from ARM Limited.
#      (C) COPYRIGHT 2017-2018 ARM Limited, ALL RIGHTS RESERVED
# The entire notice above must be reproduced on all authorized copies and
# copies may only be made to the extent permitted by a licensing agreement
# from ARM Limited.
# ----------------------------------------------------------------------------

import argparse
import logging
import os
import sys

# This script is actually within our package, so add the package to the python path
sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from config_system import read_config, warn_on_selected_depends

logging.basicConfig(format='%(levelname)s: %(message)s', level=logging.WARNING)

parser = argparse.ArgumentParser()
parser.add_argument('config', help='Path to the configuration file (*.config)')
parser.add_argument('-d', '--database', help='Path to the configuration database (Mconfig)', required=True)
parser.add_argument('-w', '--warning', action='store', help='Config options to warn about if selected', nargs='+', required=True)
parser.add_argument('--ignore-missing', dest="ignore_missing", action='store_true', default=False,
                    help="Ignore missing database files included with 'source'")
args = parser.parse_args()

read_config(args.database, args.config, args.ignore_missing)

warn_on_selected_depends(args.warning)
