#!/usr/bin/env bash
#
# Copyright:
# ----------------------------------------------------------------------------
# This confidential and proprietary software may be used only as authorized
# by a licensing agreement from ARM Limited.
#      (C) COPYRIGHT 2018 ARM Limited, ALL RIGHTS RESERVED
# The entire notice above must be reproduced on all authorized copies and
# copies may only be made to the extent permitted by a licensing agreement
# from ARM Limited.
# ----------------------------------------------------------------------------

function create_link() {
    local target="$1" linkname="$2"

    if [[ ! -e "$linkname" ]]; then
        # Link doesn't exist
        :
    elif [[ -L "$linkname" ]]; then
        # Link exists. Check if it already points to the right place.
        if [[ $(readlink "$linkname") = "$target" ]]; then
            return 0 # Already refers to the correct location
        else
            rm "$linkname" || return $?
        fi
    else
        # Link location is already in use - fail rather than deleting it
        # without warning.
        echo "Can't create link from $linkname to $target - $linkname already exists and is not a symbolic link"
        return 1
    fi
    ln -s -T "$target" "$linkname"
}
