#!/bin/python

"""
 * Copyright:
 * ----------------------------------------------------------------------------
 * This confidential and proprietary software may be used only as authorized
 * by a licensing agreement from ARM Limited.
 *      (C) COPYRIGHT 2018 ARM Limited, ALL RIGHTS RESERVED
 * The entire notice above must be reproduced on all authorized copies and
 * copies may only be made to the extent permitted by a licensing agreement
 * from ARM Limited.
 * ----------------------------------------------------------------------------
"""

import argparse
import os

parser = argparse.ArgumentParser(description='Test generator.')
parser.add_argument('--in', nargs='*', dest='input', action='store', help='Input files')
parser.add_argument('--out', nargs='*', dest='output', action='store', help='Output file')

args = parser.parse_args()

for input_file in args.input:
    if not os.path.exists(input_file):
        print("Input file doesn't exist: " + input_file)
        exit(-1)

for out in args.output:
    file_name = os.path.basename(out)
    without_extension = os.path.splitext(file_name)[0]
    with open(out, 'w') as outfile:
        outfile.write("void output_%s(){}\n" % (without_extension))
